﻿using CsvHelper.Configuration.Attributes;

namespace TelegramMessageCounter;

public record CounterInfo(
    [property: Name("Message multiplier")]
    float MessageMultiplier,
    [property: Name("Symbols multiplier")]
    float SymbolsMultiplier,
    [property: Name("Your messages")]
    int UserMessageCount,
    [property: Name("Target messages")]
    int TargetMessageCount,
    [property: Name("Your symbols")]
    int UserSymbolsCount,
    [property: Name("Target messages")]
    int TargetSymbolsCount,
    [property: Name("All messages")]
    int FullMessageCount,
    [Index(0)]
    [property: Name("Target username")]
    string TargetUsername
);